Skip to main content
GET
/
api
/
favorites
/
folders
List folders
curl --request GET \
  --url https://api.morphic.io/api/favorites/folders \
  --header 'X-API-Key: <api-key>'
[
  {
    "name": "<string>",
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "parent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "display_order": 123,
    "is_hidden": false,
    "color": "<string>",
    "children_count": 123,
    "favorites_count": 123
  }
]

Authorizations

X-API-Key
string
header
required

API key (sk_xxx) from Developer Settings. No X-Account-ID needed.

Headers

x-account-id
string | null

Query Parameters

include_hidden
boolean
default:false

Include hidden folders

Response

Successful Response

name
string
required

Folder name

Required string length: 1 - 255
id
string<uuid>
required
account_id
string<uuid>
required
user_id
string<uuid>
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
parent_id
string<uuid> | null

Parent folder ID for nested folders

display_order
integer | null

Display order

is_hidden
boolean
default:false

Whether folder is hidden from sidebar

color
string | null

Optional color for folder

Maximum string length: 50
children_count
integer | null

Number of child folders

favorites_count
integer | null

Number of favorites in folder